This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 857864 - First client is not getting unregistered if we register another client using same consumer id.
First client is not getting unregistered if we register another client using ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 6.4
Assigned To: candlepin-bugs
Entitlement Bugs
:
Depends On:
Blocks: 771481
  Show dependency treegraph
 
Reported: 2012-09-17 05:53 EDT by spandey
Modified: 2015-04-23 19:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-12 09:23:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spandey 2012-09-17 05:53:03 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
2/2

Prerequisites : 
Rhel5.9 with following subscription-manager rpm 
subscription-manager-migration-data-1.11.2.4-1.el5
subscription-manager-gui-1.0.17-1.el5
subscription-manager-firstboot-1.0.17-1.el5
subscription-manager-migration-1.0.17-1.el5
subscription-manager-1.0.17-1.el5

Testcase : https://tcms.engineering.redhat.com/case/148222/?from_plan=5846

Steps to Repro : 
Register client A to candlepin
subscribe two or more subscription 
Reregister client B to candlepin using consumer id generated for client A with same user/password

Expected Result : 
At step 3 client should be unregistered from candlepin 

Actual Result : 
Both client is registered using same consumerid. 

 
Client A 
[root@dhcp193-98 ~]# subscription-manager identity
Current identity is: 719a8f00-82ca-4063-972b-b3ed4b391f56
name: dhcp193-98.pnq.redhat.com
org name: Admin Owner
org id: admin
[root@dhcp193-98 ~]# hostname
dhcp193-98.pnq.redhat.com
[root@dhcp193-98 ~]# subscription-manager list --avail | grep Shared
Subscription Name:    	Shared File System
Subscription Name:    	Shared File System
[root@dhcp193-98 ~]# service rhsmcertd restart
Stopping rhsmcertd...                                      [  OK  ]
Starting rhsmcertd...                                      [  OK  ]
[root@dhcp193-98 ~]# subscription-manager list --avail | grep Shared
Subscription Name:    	Shared File System
Subscription Name:    	Shared File System
[root@dhcp193-98 ~]# 

Client B 

[root@dhcp201-110 ~]# subscription-manager identity
Current identity is: 719a8f00-82ca-4063-972b-b3ed4b391f56
name: dhcp193-98.pnq.redhat.com
org name: Admin Owner
org id: admin
[root@dhcp201-110 ~]# hostname
dhcp201-110.englab.pnq.redhat.com
[root@dhcp201-110 ~]# subscription-manager list --avail | grep Shared
Subscription Name:    	Shared File System
Subscription Name:    	Shared File System
[root@dhcp201-110 ~]# service rhsmcertd restart
Stopping rhsmcertd...                                      [  OK  ]
Starting rhsmcertd...                                      [  OK  ]
[root@dhcp201-110 ~]# subscription-manager list --avail | grep Shared
Subscription Name:    	Shared File System
Subscription Name:    	Shared File System
[root@dhcp201-110 ~]#
Comment 3 Bryan Kearney 2012-10-12 09:23:08 EDT
Understood, but not planning to fix this.

Note You need to log in before you can comment on or make changes to this bug.